Get the config schema
curl --request GET \
--url https://api-vod-express.syncwords.com/v1/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-vod-express.syncwords.com/v1/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-vod-express.syncwords.com/v1/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"$schema": "http://json-schema.org/draft-07/schema#",
"$id": "https://api-vod-express.syncwords.com/v1/schema?buildVersion=0.9.0-alpha1-2026-10-20T14-10Z-3f05aa",
"type": "object",
"additionalProperties": false,
"title": "Dubbing Client Config",
"required": [
"transcription",
"outputs"
],
"properties": {
"sourceMedia": {
"title": "Source Media",
"oneOf": [
"… the input folder, or a Media RSS feed"
]
},
"transcription": {
"title": "Transcription",
"oneOf": [
"… one schema per engine"
]
},
"translations": {
"title": "Translations",
"anyOf": [
"… null, or an array of translations"
]
},
"outputs": {
"title": "Outputs",
"type": "array",
"items": "… the output folder, or a feed"
}
},
"definitions": {
"…": "some 40 definitions: sources, engines, voices, outputs, items, tracks"
}
}{
"message": "Unauthenticated.",
"code": "unauthenticated"
}{
"message": [
"VOD Express is not enabled for your account."
],
"code": "vod_express_not_enabled"
}{
"message": "<string>",
"code": "bad_request",
"errors": {}
}{
"message": [
"Too Many Attempts."
],
"code": "too_many_requests"
}{
"message": "<string>",
"code": "bad_request",
"errors": {}
}Schema
Get the config schema
The JSON Schema (draft-07) of a project’s config on one build: every field, its type, allowed values and default. Accept: application/yaml for YAML. Validate a config against it before sending it, or render a form from it.
Guide: Config reference
GET
/
schema
Get the config schema
curl --request GET \
--url https://api-vod-express.syncwords.com/v1/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-vod-express.syncwords.com/v1/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-vod-express.syncwords.com/v1/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"$schema": "http://json-schema.org/draft-07/schema#",
"$id": "https://api-vod-express.syncwords.com/v1/schema?buildVersion=0.9.0-alpha1-2026-10-20T14-10Z-3f05aa",
"type": "object",
"additionalProperties": false,
"title": "Dubbing Client Config",
"required": [
"transcription",
"outputs"
],
"properties": {
"sourceMedia": {
"title": "Source Media",
"oneOf": [
"… the input folder, or a Media RSS feed"
]
},
"transcription": {
"title": "Transcription",
"oneOf": [
"… one schema per engine"
]
},
"translations": {
"title": "Translations",
"anyOf": [
"… null, or an array of translations"
]
},
"outputs": {
"title": "Outputs",
"type": "array",
"items": "… the output folder, or a feed"
}
},
"definitions": {
"…": "some 40 definitions: sources, engines, voices, outputs, items, tracks"
}
}{
"message": "Unauthenticated.",
"code": "unauthenticated"
}{
"message": [
"VOD Express is not enabled for your account."
],
"code": "vod_express_not_enabled"
}{
"message": "<string>",
"code": "bad_request",
"errors": {}
}{
"message": [
"Too Many Attempts."
],
"code": "too_many_requests"
}{
"message": "<string>",
"code": "bad_request",
"errors": {}
}